package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractESignGlobalStatusOverviewInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractESignGlobalStatusOverviewInfo()
    {
        this("id");
    }
    protected AbstractESignGlobalStatusOverviewInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:电子签全域状态总览表's 是否同步签署文体property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 电子签全域状态总览表 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 电子签全域状态总览表 's 操作人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getOperator()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("operator");
    }
    public void setOperator(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("operator", item);
    }
    /**
     * Object:电子签全域状态总览表's 发送状态property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.SendStatusEnum getSendStatus()
    {
        return com.kingdee.eas.custom.esign.bizEnum.SendStatusEnum.getEnum(getInt("sendStatus"));
    }
    public void setSendStatus(com.kingdee.eas.custom.esign.bizEnum.SendStatusEnum item)
    {
		if (item != null) {
        setInt("sendStatus", item.getValue());
		}
    }
    /**
     * Object:电子签全域状态总览表's e签发状态property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.EsignStatusEnum getEsignStatus()
    {
        return com.kingdee.eas.custom.esign.bizEnum.EsignStatusEnum.getEnum(getInt("esignStatus"));
    }
    public void setEsignStatus(com.kingdee.eas.custom.esign.bizEnum.EsignStatusEnum item)
    {
		if (item != null) {
        setInt("esignStatus", item.getValue());
		}
    }
    /**
     * Object:电子签全域状态总览表's 签署文件编码property 
     */
    public String getApiNumber()
    {
        return getString("apiNumber");
    }
    public void setApiNumber(String item)
    {
        setString("apiNumber", item);
    }
    /**
     * Object:电子签全域状态总览表's 错误信息property 
     */
    public String getErrorMsg()
    {
        return getString("errorMsg");
    }
    public void setErrorMsg(String item)
    {
        setString("errorMsg", item);
    }
    /**
     * Object:电子签全域状态总览表's API请求参数property 
     */
    public String getRequestParams()
    {
        return getString("requestParams");
    }
    public void setRequestParams(String item)
    {
        setString("requestParams", item);
    }
    /**
     * Object:电子签全域状态总览表's 流程编码property 
     */
    public String getSignFlowId()
    {
        return getString("signFlowId");
    }
    public void setSignFlowId(String item)
    {
        setString("signFlowId", item);
    }
    /**
     * Object:电子签全域状态总览表's 签署文件名称property 
     */
    public String getFileName()
    {
        return getString("fileName");
    }
    public void setFileName(String item)
    {
        setString("fileName", item);
    }
    /**
     * Object:电子签全域状态总览表's 发起单据idproperty 
     */
    public String getEfileId()
    {
        return getString("efileId");
    }
    public void setEfileId(String item)
    {
        setString("efileId", item);
    }
    /**
     * Object:电子签全域状态总览表's 接口名称property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum getEsignName()
    {
        return com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum.getEnum(getString("esignName"));
    }
    public void setEsignName(com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum item)
    {
		if (item != null) {
        setString("esignName", item.getValue());
		}
    }
    /**
     * Object:电子签全域状态总览表's 是否e签宝发起property 
     */
    public boolean isFiesign()
    {
        return getBoolean("Fiesign");
    }
    public void setFiesign(boolean item)
    {
        setBoolean("Fiesign", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("BD58B6FF");
    }
}